com.collabnet.ce.soap60.webservices.tracker

## Class Artifact2SoapList

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.tracker.Artifact2SoapList

-     public class Artifact2SoapList
      extends Object

  Artifact2SoapList class represents a list of artifacts in a tracker. It contains a sequence of Artifact2SoapRow objects.

  Note that the Artifact2SoapRow object is strictly a data container used for one-way fetching of data about a set of objects. Its "set" methods cannot be used to change data on the server. The normal pattern for updating data on the server is to get a data object describing a single artifact with getArtifactData2(), alter that data object appropriately, and pass it back with setArtifactData3().

  Change History
  Release: 4.2
  - Field 'priority' type changed from 'Integer' to 'int'.
  - Field 'estimatedHours' type changed from 'Integer' to 'int'.
  - Field 'actualHours' type changed from 'Integer' to 'int'.
  Release: 6.1
  - Added id and title of planning folder.
  - Added points field.
  - Added autosumming field.
  - Added version field.
  - Renamed estimatedHours and actualHours to estimatedEffort and actualEffort, and added remainingEffort field.
  Release: 8.0
  - Added autoSummingPoints field.
  - Added id of team.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Artifact2SoapList()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Artifact2SoapRow[]` | `getDataRows()`
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDataRows(Artifact2SoapRow[] rows)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Artifact2SoapList

          public Artifact2SoapList()

  - ### Method Detail

    - #### getDataRows

          public Artifact2SoapRow[] getDataRows()

    - #### setDataRows

          public void setDataRows(Artifact2SoapRow[] rows)

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.